Package wx :: Package lib :: Package agw :: Module flatmenu :: Class FocusHandler

[frames | no frames]

## Type FocusHandler

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                    FocusHandler

A focus event handler.

Method Summary
| ``__init__`(self, menu)` Default class constructor.
| ``OnKeyDown`(self, event)` Handles the wx.EVT_KEY_DOWN event for FocusHandler.
| ``OnKillFocus`(self, event)` Handles the wx.EVT_KILL_FOCUS event for FocusHandler.
| ``SetMenu`(self, menu)` Sets the listened menu.

Property Summary

Method Details

### __init__(self, menu)
(Constructor)

Default class constructor.

  Overrides:
    `wx.EvtHandler.__init__`

### OnKeyDown(self, event)

Handles the wx.EVT_KEY_DOWN event for FocusHandler.

### OnKillFocus(self, event)

Handles the wx.EVT_KILL_FOCUS event for FocusHandler.

### SetMenu(self, menu)

Sets the listened menu.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:47 2009 | http://epydoc.sf.net